import 'dart:io';

import 'package:equatable/equatable.dart';
import 'package:flutter/cupertino.dart';

@immutable
abstract class ProfileSettingsState extends Equatable {
  ProfileSettingsState([List props = const []]) : super();

  @override
  // TODO: implement props
  List<Object> get props => [];
}

class InitialProfileSettingsState extends ProfileSettingsState {}

class ProfileSettingsLoading extends ProfileSettingsState {
  @override
  String toString() => 'ProfileSettingsLoading';
}

class GetProfileSettingsSuccess extends ProfileSettingsState {
  GetProfileSettingsSuccess(File? file);

  @override
  String toString() => 'GetProfileSettingsSuccess';
}
